Subject: UKTeX Digest V94 #24
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 01 Jul 1994 17:32:30 +0100

UKTeX Digest    Friday,  1 Jul 1994    Volume 94 : Issue 24

   ``The UKTeX Digest is brought to you as a free, unfunded and voluntary
        service of the UK TeX Users Group and the UK TeX Archive.''

Today's Topics:
 {Questions & Answers}:
                   Re: HP Deskjet driver for Unix?
                        Re: LaTeX2e + PSNFSS2e
                 Re: How to print side by side pages
                 Re: How to print side by side pages
                          Re: Cyrillic fonts
                          Re: The new LaTeX
                     Adobe fonts- source, anyone?
                                tgrind
     File handle problems with betatest emTeX and Novell Netware

Administrivia:
    Moderators:     Peter Abbott (Aston University) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Administration, subscription and unsubscription requests:
                    [email-masked]

----------------------------------------------------------------------

Date:    Sat, 18 Jun 1994 13:17:17 +0000
From:    [email-masked] (Sebastian Rahtz)
Subject: Re: HP Deskjet driver for Unix?

 > I'm looking for a driver for a printer driver for a DeskJet 500
 > in source code which I can compile and install under Linux.  The
 > only close thing I've come across in the Archive is dvi2pcl, which
 > didn't work too well (an understatement).

look at it from another direction. use dvips, and then GhostSCript to
drive the deskjet. i do all my printing to an HP LJIII with
GhostScript, its excellent and fast.

sebastian

------------------------------

Date:    Sat, 18 Jun 1994 13:17:17 +0000
From:    [email-masked] (Sebastian Rahtz)
Subject: Re: LaTeX2e + PSNFSS2e

 > I have been testing my LaTeX2e + PSNFSS2e installation using the 
 > supplied TEST0.TEX file and I get the LaTeX error message that \dag 
 > and \ddag cannot be found in the T1 encoding. A simpler file 
 > illustrating the error with the resulting log file are listed below. 
 > Am I missing any/some TFM files (I have some but not all of the DC 
 > fonts TFM files in my TFM search path)?

\dag and \ddag dont exist in the T1 encoding; i guess i should have
warned you this would happen, but is normal and correct behaviour

sebastian

------------------------------

Date:    Sat, 18 Jun 1994 13:17:17 +0000
From:    [email-masked] (Sebastian Rahtz)
Subject: Re: How to print side by side pages

 > I'm producing my thesis at the moment and I wish to reduce the
 > amount of printing and paper I using. What I would like to do
 > is to put two pages of A4(portrait)  onto a single sheet of 
 > A4(landscape) side by side 

get Angus Duggan's psutils package, and look at pstops (I assume you
are using a PostScript printer?)

sebastian

------------------------------

Date:    Tue, 21 Jun 1994 09:42:54 +1030
From:    Tony Roberts <[email-masked]>
Subject: Re: How to print side by side pages

> >I'm producing my thesis at the moment and I wish to reduce the
> >amount of printing and paper I using. What I would like to do
> >is to put two pages of A4(portrait)  onto a single sheet of 
> >A4(landscape) side by side 
> >ie.
> > -------     ------         -------
> >|       |   |      |       |   A   | (Pages A and B should be 
> >|   A   | + |  B   |  ->   |       |  rotated so that they
> >|       |   |      |       |   B   |  can be read when the page is
> >|       |   |      |       |       |   is held in landscape.)
> > -------     ------         -------
> > 
> >How can this be achieved, using either dos or unix systems ???

see the attached file which I call "a4l.sty" which does a convenient job.
The only thing you have to do is to scale any imported postscript figures 
slightly differently (by 5/6 as pspicture does).  Used with 10pt it 
typesets nearly the same as 12pt A4, just that you get two fat columns.  
View and print the document in landscape.
                                        Tony

  Professor A.J. Roberts
  Dept of Mathematics & Computing      E-mail: [email-masked]
  University of Southern Queensland    Phone:  (076) 312943
  Toowoomba, Queensland 4350           Fax:    (076) 312721
  AUSTRALIA                            WWW:    ftp://ftp.usq.edu.au/pub/aroberts
- --------------------
\typeout{ A4 landscape size 9/9/93}
% my additions
\input{twocolumn.sty}
\topmargin -1cm
\textheight 16.5cm
\textwidth 27cm
\setlength{\columnseprule}{0.5pt}
\hoffset=-2.5cm
\pagestyle{headings}

% allocates space and does special for a picture, invoked by  
% \picture{ps filename}{vsize units}
\newcommand{\pspicture}[2]{{
\dimen111=#2  \multiply\dimen111 by 5  \divide\dimen111 by 6
\vspace{\dimen111}  
\special{#1 0.816 0.816 scale}
}}

------------------------------

Date:    Sat, 18 Jun 1994 18:23:00 +0000
From:    [email-masked]
Subject: Re: Cyrillic fonts in the TeX archive

[email-masked] asks:
> It appears that the Cyrillic fonts of the cmcyr family are only archived at
> 10-point size at Aston.  Are the other sizes lurking somewhere less obvious o
r
> can you direct me to another ftp archive that has them, please?   Thanks

> Laurence Boyle

You could fetch tex-archive/fonts/cm/sauter/sauter-2.1.tar.gz from Aston.
This includes - among much else - Metafont source to generate cmcyr fonts
at any pointsize.

Ciar\'an \'O Duibh\'in.

------------------------------

Date:    Sat, 18 Jun 1994 19:57:00 -0500
From:    [email-masked] (John T. Fontanilla)
Subject: Re: The new LaTeX

In article <[email-masked]> you wrote:

: >From now on there will be a new distribution of LaTeX twice a year, in
: June and December.

: The new LaTeX can be retrieved by anonymous ftp from the CTAN archives:

:    ftp.tex.ac.uk  /tex-archive/macros/latex/base
:    ftp.shsu.edu   /tex-archive/macros/latex/base
:    ftp.dante.de   /tex-archive/macros/latex/base

: The files in these directories require a somewhat long unpacking
: process.  For those who prefer to skip this step, we provide a second
: distribution in unpacked format in the following CTAN directories:

:    ftp.tex.ac.uk  /tex-archive/macros/latex/unpacked
:    ftp.shsu.edu   /tex-archive/macros/latex/unpacked
:    ftp.dante.de   /tex-archive/macros/latex/unpacked

Hi,
        Is 'base' the filename or the directory name?
John

------------------------------

Date:    Wed, 22 Jun 1994 15:53:16 -0000
From:    [email-masked] (Dean Ayres)
Subject: Adobe fonts- source, anyone?

Hi,

I want to get the suplementary font pack for the Adobe Type Manager.
Does anyone know of any UK suppliers?

Best Wishes,

Dean Ayres 

------------------------------

Date:    Fri, 24 Jun 1994 11:22:30 +0100
From:    [email-masked]
Subject: tgrind

Is tgrind still the best way to print source code?
I am interested, in particular in C++, Ada and C,
in that order.

I am particularly interested because I cannot create
a procedure decl rule for tgrind which will reliably
find all procedure decls, and ONLY procedure decls.
My current problem is that, in C++,

foo ()
 : bar {

is seen as two nested procedures, not one.

If tgrind is still the best thing around, then I will
extend its rule language to handle this construct correctly.
However, I don't want to do this if there is something
better out there.

Comments?

        Mark.

p.s., if you wish to reply directly,
      please reply to an address below
      as my mail headers get corrupt.
- -- 
B1013, DRA Malvern,   Internet: [email-masked]
St Andrews Road,      Janet   : [email-masked]
Malvern, Worcs.,      Internal: druid@caercn
WR14 3PS,
United Kingdom,       Phone: +44-684-892733 x2109

------------------------------

Date:    29 Jun 1994 16:38:27
From:    Mike Piff <[email-masked]>
Subject: File handle problems with betatest emTeX and Novell Netware

Has anyone else experienced file handle problems running the latest betatest
of emTeX on a Novell network? The problems we are experiencing are

- -- TeX cannot open a TeX file in the current directory, even though it
    could on the last run.

- -- cannot write to xxx.log

- -- cannot write to xxx.dvi

- -- cannot open/write to xxx.aux

Usually the first such error causes TeX to enter its infinite loop, and a
reboot is essential, as any other filename gives the same result.

Note also that the problem occurs even when working on c: with megabytes
to spare, and neither temp nor tmp pointing at the network drives.

When the problem occurs in a DOS shell from MS Windows, an attempt at exiting
from windows causes a shutdown, as DOS says it has run out of file handles.
We start with files=48 (+16) on our network.

Any help would be much appreciated!

Mike Piff

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Dr M J Piff, School of Mathematics and Statistics, University of %%
%% Sheffield, UK.                    e-mail: [email-masked] %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

------------------------------
                                        
                       UK TeX Archive at Aston University
                            >>>  ftp.tex.ac.uk  <<<
                                        
                                   Internet:
             ftp.tex.ac.uk [134.151.79.32] -- anonymous ftp, gopher, NFS
      For anonymous ftp, login: anonymous, password: <your-e-mail-address>
                                       
\section Files of Interest

    tex-archive/00Contents
    tex-archive/FILES.bydate
    tex-archive/FILES.byname
    tex-archive/FILES.byname_diff
    tex-archive/FILES.bysize
    tex-archive/MAP
    tex-archive/README.archive-features
    tex-archive/README.site-commands
    tex-archive/README.uploads

\section Digests

    This year's UKTeX back issues are stored in the archive in directory
      tex-archive/digests/uktex/94
    This year's TeXhax back issues are stored in the archive in directory
      tex-archive/digests/texhax/94
      Latest TeXhax: V94 #04

\section Media Distributions
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Our latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

    Send One Quarter-Inch Cartridge, QIC-120 or QIC-150 format
    (DC600A or DC6150) with envelope AND stamps for return
    postage to David Osborne (address below); due to currency
    exchange, this service is offered only within the UK.

\section TeX Implementations for Small Computers

\subsection PC and Mac disks

    From January 1994 the UK TeX Users' Group is distributing an
    emTeX kit for PCs, and an OzTeX kit for Macintosh. The cost
    covers copying and postage costs, and the shareware fee for
    OzTeX.  Each set costs \pounds30, and is available from
    Peter Abbott, 1 Eymore Close, Selly Oak, Birmingham B29 4LB.
    Cheques must be payable to `UKTUG'. Please note that this
    service **is available to UKTUG members only.**

    Each set comes with an installation guide, and (at least)
    full TeX and Metafont, a previewer, a PostScript driver, and
    CM fonts. Two update disks a year will be sent out
    automatically, with the current version of LaTeXe, and other
    goodies. A subscription service will be available for
    subsequent years. In addition, subscribers can request up to
    3 disks a year with any material from the CTAN archives, but
    this will be supplied `as is', without instructions.

    OzTeX and emTeX are also available on disk from TeX Users Group;
    mail TUG for details.

\subsection TeX for the Atari ST

    Enquiries for TeX for the Atari ST etc. can be directed to:
    The Fast Club, 7 Musters Road, Nottingham NG2 7PP. Phone
    0602 455250, fax 0602 455305. They also supply a variety of
    TeX-related software in Atari format.

    Enquiries for disks etc. can also be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    Internet: [email-masked]

\section Postage Rates

    Quarter-inch cartridges: UK: GBP 1.00,  Europe: GBP 2.00.

\section Postal Addresses

    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    Information Systems, Aston University, Aston Triangle, Birmingham B4 7ET
    Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Unix cartridges ONLY -- must include stamps for return postage)
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX Users Group

    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    or from
    Internet: [email-masked]
    or from
    World-Wide Web server: http://ftp.tex.ac.uk/UKTUG/home.html

\bye

End of UKTeX Digest [Volume 94 Issue 24]
****************************************